package com.bwie.common.domain.request;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;


@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("t_see_house")
public class SeeHouseRequest {
    @TableId
    private Long seeHouseId;//团购看房ID
    private Long userId;//用户ID
    private Long groupId;//团购ID--报名人数
    private Long seeHouseStatus;//状态1.我要报名2.已报名
}
