package com.bwie.ask.controller;
import com.bwie.ask.seriver.AskBuyService;
import com.bwie.common.domain.AskBuy;
import com.bwie.common.result.Result;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import java.util.List;
/**
 * 求购controller层
 */
@RestController
@RequestMapping("/buy")
public class AskBuyController {
    private final AskBuyService askBuyService;
    public AskBuyController(AskBuyService askBuyService) {
        this.askBuyService = askBuyService;
    }
    @PostMapping("/shouAll")
    public Result<List<AskBuy>> shouAll(){
        return askBuyService.shouAll();
    }
    @PostMapping("/addAskBuy")
    public Result addAskBuy(@RequestBody AskBuy askBuy){
        return askBuyService.addAskBuy(askBuy);
    }
}
