package com.bwie.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName("dictionary_type")
public class DictionaryType {

    @TableId(type = IdType.AUTO)
    private Long dictionaryTypeId;     //字典详情id
    private Long dictionaryId;     //字典表id
    private String dictionaryTypeLabel;     //具体类型

}
