package com.bwie.esask.controller;

import com.bwie.esask.seriver.EsAskBuyService;
import com.bwie.common.domain.AskBuy;
import com.bwie.common.domain.request.AskBuyRequest;
import com.bwie.common.result.Result;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * Es求购表
 */
@RestController
@RequestMapping("/esBuy")
public class EsAskBuyController {

    private final EsAskBuyService esAskBuyService;

    public EsAskBuyController(EsAskBuyService esAskBuyService) {
        this.esAskBuyService = esAskBuyService;
    }

    @PostMapping("/shouList")
    public void shouList(@RequestBody List<AskBuy> list){
        esAskBuyService.shouList(list);
    }
    @PostMapping("/shouBuyList")
    public Result shouBuyList(@RequestBody AskBuyRequest askBuyRequest){
        return esAskBuyService.shouBuyList(askBuyRequest);
    }

}
