package com.bwie.home;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;

@SpringBootApplication
@EnableDiscoveryClient
@MapperScan("com.bwie.home.mapper")
public class HomeApp {
    public static void main(String[] args) {
        SpringApplication.run(HomeApp.class);
    }
}
